package eu.ruekov.ruakij.LinkedBeaconTeleporters.listener;

import eu.ruekov.ruakij.LinkedBeaconTeleporters.Main;
import eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter.LinkedBeaconTeleporterItem;
import org.bukkit.Bukkit;
import org.bukkit.Material;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.inventory.CraftItemEvent;
import org.bukkit.event.inventory.PrepareItemCraftEvent;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.Recipe;

public class OnCraftItemEvent implements Listener {

    @EventHandler(priority = EventPriority.LOW)
    public void onCraftItemEvent(CraftItemEvent e){

        Recipe recipe = e.getRecipe();
        ItemStack itemResult = recipe.getResult();

        // Check if it has LinkedBeaconTeleporter-Data
        LinkedBeaconTeleporterItem lbtItem = Main.lbtManager.getLbtItemFromItemStack(itemResult);
        if(lbtItem != null){
            eu.ruekov.ruakij.LinkedBeaconTeleporters.linkedBeaconTeleporter.listener.OnCraftItemEvent.onCraftItemEvent(e, lbtItem);
        }
    }
}
